%define anolis_release 2

Summary: General dimension convex hull programs
Name: qhull
Version: 7.2.1
Epoch: 1
Release: %{anolis_release}%{?dist}
License: Qhull
Source0: https://github.com/qhull/qhull/archive/v%{version}/%{name}-%{version}.tar.gz

Patch1: 0001-Link-executables-against-shared-libs.patch
Patch2: 0002-Install-docs-into-subdirs.patch
Patch3: qhull-pic.patch

URL: http://www.qhull.org

BuildRequires: make
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: cmake
BuildRequires: chrpath

%description
Qhull is a general dimension convex hull program that reads a set
of points from stdin, and outputs the smallest convex set that contains
the points to stdout.  It also generates Delaunay triangulations, Voronoi
diagrams, furthest-site Voronoi diagrams, and halfspace intersections
about a point.

%package -n libqhull
Summary: -n libqhull

%description -n libqhull
%{summary}

%package -n libqhull_r
Summary: libqhull_r

%description -n libqhull_r
%{summary}

%package -n libqhull_p
Summary: libqhull_p

%description -n libqhull_p
%{summary}

%package devel
Summary: Development files for qhull
Requires: lib%{name} = %{epoch}:%{version}-%{release}
Requires: lib%{name}_r = %{epoch}:%{version}-%{release}
Requires: lib%{name}_p = %{epoch}:%{version}-%{release}

%description devel
Qhull is a general dimension convex hull program that reads a set
of points from stdin, and outputs the smallest convex set that contains
the points to stdout.  It also generates Delaunay triangulations, Voronoi
diagrams, furthest-site Voronoi diagrams, and halfspace intersections
about a point.

%package doc
Summary:        Documentation files for %{name}
Requires:       lib%{name} = %{epoch}:%{version}-%{release}
Requires: 	lib%{name}_r = %{epoch}:%{version}-%{release}
Requires: 	lib%{name}_p = %{epoch}:%{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{name}-%{version} -p1

%build
mkdir -p build
cd build
%cmake -S .. -B .
make VERBOSE=1 %{?_smp_mflags}
cd ..

%install
cd build
make VERBOSE=1 DESTDIR=$RPM_BUILD_ROOT install
cd ..

chrpath --delete ${RPM_BUILD_ROOT}%{_libdir}/lib*.so.*
%generate_compatibility_deps

%files
%license COPYING.txt
%{_bindir}/*
%{_mandir}/man1/*
%{abidir}/rbox-option.list

%files -n libqhull
%{_libdir}/libqhull.so.*
%dir %{abidir}
%{abidir}/libqhull.dump

%files -n libqhull_r
%{_libdir}/libqhull_r.so.*
%{abidir}/libqhull_r.dump

%files -n libqhull_p
%{_libdir}/libqhull_p.so.*
%{abidir}/libqhull_p.dump

%files devel
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/libqhullcpp.a
%exclude %{_libdir}/libqhullstatic*.a

%files doc
%{_pkgdocdir}/index.htm
%{_pkgdocdir}/*.txt
%{_pkgdocdir}/html
%{_pkgdocdir}/src/Changes.txt
%{_pkgdocdir}/src/libqhull
%{_pkgdocdir}/src/libqhull_r

%changelog
* Tue Dec 12 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1:7.2.1-2
- rebuild

* Mon Mar 27 2023 happy_orange <songnannan@linux.alibaba.com> - 1:7.2.1-1
- init package from upstream
